#ifndef SBK_KHELPMENUWRAPPER_H
#define SBK_KHELPMENUWRAPPER_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <khelpmenu.h>

namespace Shiboken { class AutoDecRef; class GilState; }

namespace PySide { class DynamicQMetaObject; }

class KHelpMenuWrapper : public KHelpMenu
{
public:
    KHelpMenuWrapper(::QWidget * parent = nullptr);
    KHelpMenuWrapper(::QWidget * parent, const ::QString & unused, bool showWhatsThis = true);
    KHelpMenuWrapper(const KHelpMenuWrapper &) = delete;
    KHelpMenuWrapper& operator=(const KHelpMenuWrapper &) = delete;
    KHelpMenuWrapper(KHelpMenuWrapper &&) = delete;
    KHelpMenuWrapper& operator=(KHelpMenuWrapper &&) = delete;
    ~KHelpMenuWrapper() override;

    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent(::QEvent * event) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void timerEvent(::QTimerEvent * event) override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();

    void resetPyMethodCache();

private:
    mutable bool m_PyMethodCache[7] = {false, false, false, false, false, false, false};
};

#endif // SBK_KHELPMENUWRAPPER_H
